Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.aspectj.lang
Interface JoinPoint.StaticPart

All Known Subinterfaces:
  JoinPoint.EnclosingStaticPart

Enclosing interface:
  JoinPoint

    public static interface JoinPoint.StaticPart

This helper object contains only the static information about a join point. It is available from the `JoinPoint.getStaticPart()` method, and can be accessed separately within advice using the special form `thisJoinPointStaticPart`.

If you are only interested in the static information about a join point, you should access it through this type for the best performance. This is particularly useful for library methods that want to do serious manipulations of this information, i.e.

     public class LoggingUtils {
         public static void prettyPrint(JoinPoint.StaticPart jp) {
             ...
         }
     }

     aspect Logging {
         before(): ... { LoggingUtils.prettyPrint(thisJoinPointStaticPart); }
     }

See Also:
  `JoinPoint.getStaticPart()`

Method Summary
`java.lang.String` | `getKind()` Returns a String representing the kind of join point.
`Signature` | `getSignature()` Returns the signature at the join point.
`SourceLocation` | `getSourceLocation()` Returns the source location corresponding to the join point.
`java.lang.String` | `toLongString()` Returns an extended string representation of the join point
`java.lang.String` | `toShortString()` Returns an abbreviated string representation of the join point
`java.lang.String` | `toString()`

Method Detail

### getSignature

    Signature getSignature()

  Returns the signature at the join point.

### getSourceLocation

    SourceLocation getSourceLocation()

  Returns the source location corresponding to the join point.

  If there is no source location available, returns null.

  Returns the SourceLocation of the defining class for default constructors.

### getKind

    java.lang.String getKind()

  Returns a String representing the kind of join point. This String is guaranteed to be interned

### toString

    java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toShortString

    java.lang.String toShortString()

  Returns an abbreviated string representation of the join point

### toLongString

    java.lang.String toLongString()

  Returns an extended string representation of the join point

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD